-- D:\DIPLOMARBEIT\VHDL\IWVT_USB1\CODE\TEST_CODER_TB.VHD
-- VHDL Test Bench created by
-- Visual Software Solution's HDL Bencher 1.02
-- Product info/updates: www.testbench.com
-- Support: support@testbench.com
-- Sales: sales@testbench.com / call (954) 370-9030
-- Fri Sep 21 07:38:49 2001

LIBRARY  IEEE;
USE IEEE.STD_LOGIC_1164.ALL;
USE IEEE.STD_LOGIC_ARITH.ALL;
USE IEEE.STD_LOGIC_UNSIGNED.ALL;

LIBRARY ieee;
USE IEEE.STD_LOGIC_TEXTIO.ALL;
USE STD.TEXTIO.ALL;

ENTITY testbench IS
END testbench;

ARCHITECTURE testbench_arch OF testbench IS
-- If you get a compiler error on the following line,
-- from the menu do Options->Configuration select VHDL 93
FILE RESULTS: TEXT IS OUT "results.txt";
	COMPONENT test_coder
		PORT (
			data_in : in  std_logic_vector (7 DOWNTO 0);
			data_out : out  std_logic_vector (7 DOWNTO 0)
		);
	END COMPONENT;

	SIGNAL data_in : std_logic_vector (7 DOWNTO 0);
	SIGNAL data_out : std_logic_vector (7 DOWNTO 0);

BEGIN
	UUT : test_coder
	PORT MAP (
		data_in => data_in,
		data_out => data_out
	);

	PROCESS
		VARIABLE TX_OUT : LINE;
		VARIABLE TX_ERROR : INTEGER := 0;

		PROCEDURE CHECK_data_out(
			next_data_out : std_logic_vector (7 DOWNTO 0);
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 512);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (data_out /= next_data_out) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns data_out="));
				write(TX_LOC, data_out);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_data_out);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		BEGIN
		-- --------------------
		data_in <= transport std_logic_vector'("00000000"); --0
		-- --------------------
		WAIT FOR 10 ns; -- Time=10 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=20 ns
		data_in <= transport std_logic_vector'("00000001"); --1
		-- --------------------
		WAIT FOR 10 ns; -- Time=30 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=40 ns
		data_in <= transport std_logic_vector'("00000010"); --2
		-- --------------------
		WAIT FOR 10 ns; -- Time=50 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=60 ns
		data_in <= transport std_logic_vector'("00000011"); --3
		-- --------------------
		WAIT FOR 10 ns; -- Time=70 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=80 ns
		data_in <= transport std_logic_vector'("00000100"); --4
		-- --------------------
		WAIT FOR 10 ns; -- Time=90 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=100 ns
		data_in <= transport std_logic_vector'("00000101"); --5
		-- --------------------
		WAIT FOR 10 ns; -- Time=110 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=120 ns
		data_in <= transport std_logic_vector'("00000110"); --6
		-- --------------------
		WAIT FOR 10 ns; -- Time=130 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=140 ns
		data_in <= transport std_logic_vector'("00000111"); --7
		-- --------------------
		WAIT FOR 10 ns; -- Time=150 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=160 ns
		data_in <= transport std_logic_vector'("00001000"); --8
		-- --------------------
		WAIT FOR 10 ns; -- Time=170 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=180 ns
		data_in <= transport std_logic_vector'("00001001"); --9
		-- --------------------
		WAIT FOR 10 ns; -- Time=190 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=200 ns
		data_in <= transport std_logic_vector'("00001010"); --A
		-- --------------------
		WAIT FOR 10 ns; -- Time=210 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=220 ns
		data_in <= transport std_logic_vector'("00001011"); --B
		-- --------------------
		WAIT FOR 10 ns; -- Time=230 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=240 ns
		data_in <= transport std_logic_vector'("00001100"); --C
		-- --------------------
		WAIT FOR 10 ns; -- Time=250 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=260 ns
		data_in <= transport std_logic_vector'("00001101"); --D
		-- --------------------
		WAIT FOR 10 ns; -- Time=270 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=280 ns
		data_in <= transport std_logic_vector'("00001110"); --E
		-- --------------------
		WAIT FOR 10 ns; -- Time=290 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=300 ns
		data_in <= transport std_logic_vector'("00001111"); --F
		-- --------------------
		WAIT FOR 10 ns; -- Time=310 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=320 ns
		data_in <= transport std_logic_vector'("00010000"); --10
		-- --------------------
		WAIT FOR 10 ns; -- Time=330 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=340 ns
		data_in <= transport std_logic_vector'("00010001"); --11
		-- --------------------
		WAIT FOR 10 ns; -- Time=350 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=360 ns
		data_in <= transport std_logic_vector'("00010010"); --12
		-- --------------------
		WAIT FOR 10 ns; -- Time=370 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=380 ns
		data_in <= transport std_logic_vector'("00010011"); --13
		-- --------------------
		WAIT FOR 10 ns; -- Time=390 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=400 ns
		data_in <= transport std_logic_vector'("00010100"); --14
		-- --------------------
		WAIT FOR 10 ns; -- Time=410 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=420 ns
		data_in <= transport std_logic_vector'("00010101"); --15
		-- --------------------
		WAIT FOR 10 ns; -- Time=430 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=440 ns
		data_in <= transport std_logic_vector'("00010110"); --16
		-- --------------------
		WAIT FOR 10 ns; -- Time=450 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=460 ns
		data_in <= transport std_logic_vector'("00010111"); --17
		-- --------------------
		WAIT FOR 10 ns; -- Time=470 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=480 ns
		data_in <= transport std_logic_vector'("00011000"); --18
		-- --------------------
		WAIT FOR 10 ns; -- Time=490 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=500 ns
		data_in <= transport std_logic_vector'("00011001"); --19
		-- --------------------
		WAIT FOR 10 ns; -- Time=510 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=520 ns
		data_in <= transport std_logic_vector'("00011010"); --1A
		-- --------------------
		WAIT FOR 10 ns; -- Time=530 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=540 ns
		data_in <= transport std_logic_vector'("00011011"); --1B
		-- --------------------
		WAIT FOR 10 ns; -- Time=550 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=560 ns
		data_in <= transport std_logic_vector'("00011100"); --1C
		-- --------------------
		WAIT FOR 10 ns; -- Time=570 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=580 ns
		data_in <= transport std_logic_vector'("00011101"); --1D
		-- --------------------
		WAIT FOR 10 ns; -- Time=590 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=600 ns
		data_in <= transport std_logic_vector'("00011110"); --1E
		-- --------------------
		WAIT FOR 10 ns; -- Time=610 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=620 ns
		data_in <= transport std_logic_vector'("00011111"); --1F
		-- --------------------
		WAIT FOR 10 ns; -- Time=630 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=640 ns
		data_in <= transport std_logic_vector'("00100000"); --20
		-- --------------------
		WAIT FOR 10 ns; -- Time=650 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=660 ns
		data_in <= transport std_logic_vector'("00100001"); --21
		-- --------------------
		WAIT FOR 10 ns; -- Time=670 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=680 ns
		data_in <= transport std_logic_vector'("00100010"); --22
		-- --------------------
		WAIT FOR 10 ns; -- Time=690 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=700 ns
		data_in <= transport std_logic_vector'("00100011"); --23
		-- --------------------
		WAIT FOR 10 ns; -- Time=710 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=720 ns
		data_in <= transport std_logic_vector'("00100100"); --24
		-- --------------------
		WAIT FOR 10 ns; -- Time=730 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=740 ns
		data_in <= transport std_logic_vector'("00100101"); --25
		-- --------------------
		WAIT FOR 10 ns; -- Time=750 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=760 ns
		data_in <= transport std_logic_vector'("00100110"); --26
		-- --------------------
		WAIT FOR 10 ns; -- Time=770 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=780 ns
		data_in <= transport std_logic_vector'("00100111"); --27
		-- --------------------
		WAIT FOR 10 ns; -- Time=790 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=800 ns
		data_in <= transport std_logic_vector'("00101000"); --28
		-- --------------------
		WAIT FOR 10 ns; -- Time=810 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=820 ns
		data_in <= transport std_logic_vector'("00101001"); --29
		-- --------------------
		WAIT FOR 10 ns; -- Time=830 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=840 ns
		data_in <= transport std_logic_vector'("00101010"); --2A
		-- --------------------
		WAIT FOR 10 ns; -- Time=850 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=860 ns
		data_in <= transport std_logic_vector'("00101011"); --2B
		-- --------------------
		WAIT FOR 10 ns; -- Time=870 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=880 ns
		data_in <= transport std_logic_vector'("00101100"); --2C
		-- --------------------
		WAIT FOR 10 ns; -- Time=890 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=900 ns
		data_in <= transport std_logic_vector'("00101101"); --2D
		-- --------------------
		WAIT FOR 10 ns; -- Time=910 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=920 ns
		data_in <= transport std_logic_vector'("00101110"); --2E
		-- --------------------
		WAIT FOR 10 ns; -- Time=930 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=940 ns
		data_in <= transport std_logic_vector'("00101111"); --2F
		-- --------------------
		WAIT FOR 10 ns; -- Time=950 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=960 ns
		data_in <= transport std_logic_vector'("00110000"); --30
		-- --------------------
		WAIT FOR 10 ns; -- Time=970 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=980 ns
		data_in <= transport std_logic_vector'("00110001"); --31
		-- --------------------
		WAIT FOR 10 ns; -- Time=990 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1000 ns
		data_in <= transport std_logic_vector'("00110010"); --32
		-- --------------------
		WAIT FOR 10 ns; -- Time=1010 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1020 ns
		data_in <= transport std_logic_vector'("00110011"); --33
		-- --------------------
		WAIT FOR 10 ns; -- Time=1030 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1040 ns
		data_in <= transport std_logic_vector'("00110100"); --34
		-- --------------------
		WAIT FOR 10 ns; -- Time=1050 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1060 ns
		data_in <= transport std_logic_vector'("00110101"); --35
		-- --------------------
		WAIT FOR 10 ns; -- Time=1070 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1080 ns
		data_in <= transport std_logic_vector'("00110110"); --36
		-- --------------------
		WAIT FOR 10 ns; -- Time=1090 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1100 ns
		data_in <= transport std_logic_vector'("00110111"); --37
		-- --------------------
		WAIT FOR 10 ns; -- Time=1110 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1120 ns
		data_in <= transport std_logic_vector'("00111000"); --38
		-- --------------------
		WAIT FOR 10 ns; -- Time=1130 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1140 ns
		data_in <= transport std_logic_vector'("00111001"); --39
		-- --------------------
		WAIT FOR 10 ns; -- Time=1150 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1160 ns
		data_in <= transport std_logic_vector'("00111010"); --3A
		-- --------------------
		WAIT FOR 10 ns; -- Time=1170 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1180 ns
		data_in <= transport std_logic_vector'("00111011"); --3B
		-- --------------------
		WAIT FOR 10 ns; -- Time=1190 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1200 ns
		data_in <= transport std_logic_vector'("00111100"); --3C
		-- --------------------
		WAIT FOR 10 ns; -- Time=1210 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1220 ns
		data_in <= transport std_logic_vector'("00111101"); --3D
		-- --------------------
		WAIT FOR 10 ns; -- Time=1230 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1240 ns
		data_in <= transport std_logic_vector'("00111110"); --3E
		-- --------------------
		WAIT FOR 10 ns; -- Time=1250 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1260 ns
		data_in <= transport std_logic_vector'("00111111"); --3F
		-- --------------------
		WAIT FOR 10 ns; -- Time=1270 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1280 ns
		data_in <= transport std_logic_vector'("01000000"); --40
		-- --------------------
		WAIT FOR 10 ns; -- Time=1290 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1300 ns
		data_in <= transport std_logic_vector'("01000001"); --41
		-- --------------------
		WAIT FOR 10 ns; -- Time=1310 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1320 ns
		data_in <= transport std_logic_vector'("01000010"); --42
		-- --------------------
		WAIT FOR 10 ns; -- Time=1330 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1340 ns
		data_in <= transport std_logic_vector'("01000011"); --43
		-- --------------------
		WAIT FOR 10 ns; -- Time=1350 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1360 ns
		data_in <= transport std_logic_vector'("01000100"); --44
		-- --------------------
		WAIT FOR 10 ns; -- Time=1370 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1380 ns
		data_in <= transport std_logic_vector'("01000101"); --45
		-- --------------------
		WAIT FOR 10 ns; -- Time=1390 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1400 ns
		data_in <= transport std_logic_vector'("01000110"); --46
		-- --------------------
		WAIT FOR 10 ns; -- Time=1410 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1420 ns
		data_in <= transport std_logic_vector'("01000111"); --47
		-- --------------------
		WAIT FOR 10 ns; -- Time=1430 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1440 ns
		data_in <= transport std_logic_vector'("01001000"); --48
		-- --------------------
		WAIT FOR 10 ns; -- Time=1450 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1460 ns
		data_in <= transport std_logic_vector'("01001001"); --49
		-- --------------------
		WAIT FOR 10 ns; -- Time=1470 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1480 ns
		data_in <= transport std_logic_vector'("01001010"); --4A
		-- --------------------
		WAIT FOR 10 ns; -- Time=1490 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1500 ns
		data_in <= transport std_logic_vector'("01001011"); --4B
		-- --------------------
		WAIT FOR 10 ns; -- Time=1510 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1520 ns
		data_in <= transport std_logic_vector'("01001100"); --4C
		-- --------------------
		WAIT FOR 10 ns; -- Time=1530 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1540 ns
		data_in <= transport std_logic_vector'("01001101"); --4D
		-- --------------------
		WAIT FOR 10 ns; -- Time=1550 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1560 ns
		data_in <= transport std_logic_vector'("01001110"); --4E
		-- --------------------
		WAIT FOR 10 ns; -- Time=1570 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1580 ns
		data_in <= transport std_logic_vector'("01001111"); --4F
		-- --------------------
		WAIT FOR 10 ns; -- Time=1590 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1600 ns
		data_in <= transport std_logic_vector'("01010000"); --50
		-- --------------------
		WAIT FOR 10 ns; -- Time=1610 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1620 ns
		data_in <= transport std_logic_vector'("01010001"); --51
		-- --------------------
		WAIT FOR 10 ns; -- Time=1630 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1640 ns
		data_in <= transport std_logic_vector'("01010010"); --52
		-- --------------------
		WAIT FOR 10 ns; -- Time=1650 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1660 ns
		data_in <= transport std_logic_vector'("01010011"); --53
		-- --------------------
		WAIT FOR 10 ns; -- Time=1670 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1680 ns
		data_in <= transport std_logic_vector'("01010100"); --54
		-- --------------------
		WAIT FOR 10 ns; -- Time=1690 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1700 ns
		data_in <= transport std_logic_vector'("01010101"); --55
		-- --------------------
		WAIT FOR 10 ns; -- Time=1710 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1720 ns
		data_in <= transport std_logic_vector'("01010110"); --56
		-- --------------------
		WAIT FOR 10 ns; -- Time=1730 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1740 ns
		data_in <= transport std_logic_vector'("01010111"); --57
		-- --------------------
		WAIT FOR 10 ns; -- Time=1750 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1760 ns
		data_in <= transport std_logic_vector'("01011000"); --58
		-- --------------------
		WAIT FOR 10 ns; -- Time=1770 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1780 ns
		data_in <= transport std_logic_vector'("01011001"); --59
		-- --------------------
		WAIT FOR 10 ns; -- Time=1790 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1800 ns
		data_in <= transport std_logic_vector'("01011010"); --5A
		-- --------------------
		WAIT FOR 10 ns; -- Time=1810 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1820 ns
		data_in <= transport std_logic_vector'("01011011"); --5B
		-- --------------------
		WAIT FOR 10 ns; -- Time=1830 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1840 ns
		data_in <= transport std_logic_vector'("01011100"); --5C
		-- --------------------
		WAIT FOR 10 ns; -- Time=1850 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1860 ns
		data_in <= transport std_logic_vector'("01011101"); --5D
		-- --------------------
		WAIT FOR 10 ns; -- Time=1870 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1880 ns
		data_in <= transport std_logic_vector'("01011110"); --5E
		-- --------------------
		WAIT FOR 10 ns; -- Time=1890 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1900 ns
		data_in <= transport std_logic_vector'("01011111"); --5F
		-- --------------------
		WAIT FOR 10 ns; -- Time=1910 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1920 ns
		data_in <= transport std_logic_vector'("01100000"); --60
		-- --------------------
		WAIT FOR 10 ns; -- Time=1930 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1940 ns
		data_in <= transport std_logic_vector'("01100001"); --61
		-- --------------------
		WAIT FOR 10 ns; -- Time=1950 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1960 ns
		data_in <= transport std_logic_vector'("01100010"); --62
		-- --------------------
		WAIT FOR 10 ns; -- Time=1970 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1980 ns
		data_in <= transport std_logic_vector'("01100011"); --63
		-- --------------------
		WAIT FOR 10 ns; -- Time=1990 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2000 ns
		data_in <= transport std_logic_vector'("01100100"); --64
		-- --------------------
		WAIT FOR 10 ns; -- Time=2010 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2020 ns
		data_in <= transport std_logic_vector'("01100101"); --65
		-- --------------------
		WAIT FOR 10 ns; -- Time=2030 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2040 ns
		data_in <= transport std_logic_vector'("01100110"); --66
		-- --------------------
		WAIT FOR 10 ns; -- Time=2050 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2060 ns
		data_in <= transport std_logic_vector'("01100111"); --67
		-- --------------------
		WAIT FOR 10 ns; -- Time=2070 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2080 ns
		data_in <= transport std_logic_vector'("01101000"); --68
		-- --------------------
		WAIT FOR 10 ns; -- Time=2090 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2100 ns
		data_in <= transport std_logic_vector'("01101001"); --69
		-- --------------------
		WAIT FOR 10 ns; -- Time=2110 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2120 ns
		data_in <= transport std_logic_vector'("01101010"); --6A
		-- --------------------
		WAIT FOR 10 ns; -- Time=2130 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2140 ns
		data_in <= transport std_logic_vector'("01101011"); --6B
		-- --------------------
		WAIT FOR 10 ns; -- Time=2150 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2160 ns
		data_in <= transport std_logic_vector'("01101100"); --6C
		-- --------------------
		WAIT FOR 10 ns; -- Time=2170 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2180 ns
		data_in <= transport std_logic_vector'("01101101"); --6D
		-- --------------------
		WAIT FOR 10 ns; -- Time=2190 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2200 ns
		data_in <= transport std_logic_vector'("01101110"); --6E
		-- --------------------
		WAIT FOR 10 ns; -- Time=2210 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2220 ns
		data_in <= transport std_logic_vector'("01101111"); --6F
		-- --------------------
		WAIT FOR 10 ns; -- Time=2230 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2240 ns
		data_in <= transport std_logic_vector'("01110000"); --70
		-- --------------------
		WAIT FOR 10 ns; -- Time=2250 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2260 ns
		data_in <= transport std_logic_vector'("01110001"); --71
		-- --------------------
		WAIT FOR 10 ns; -- Time=2270 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2280 ns
		data_in <= transport std_logic_vector'("01110010"); --72
		-- --------------------
		WAIT FOR 10 ns; -- Time=2290 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2300 ns
		data_in <= transport std_logic_vector'("01110011"); --73
		-- --------------------
		WAIT FOR 10 ns; -- Time=2310 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2320 ns
		data_in <= transport std_logic_vector'("01110100"); --74
		-- --------------------
		WAIT FOR 10 ns; -- Time=2330 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2340 ns
		data_in <= transport std_logic_vector'("01110101"); --75
		-- --------------------
		WAIT FOR 10 ns; -- Time=2350 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2360 ns
		data_in <= transport std_logic_vector'("01110110"); --76
		-- --------------------
		WAIT FOR 10 ns; -- Time=2370 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2380 ns
		data_in <= transport std_logic_vector'("01110111"); --77
		-- --------------------
		WAIT FOR 10 ns; -- Time=2390 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2400 ns
		data_in <= transport std_logic_vector'("01111000"); --78
		-- --------------------
		WAIT FOR 10 ns; -- Time=2410 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2420 ns
		data_in <= transport std_logic_vector'("01111001"); --79
		-- --------------------
		WAIT FOR 10 ns; -- Time=2430 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2440 ns
		data_in <= transport std_logic_vector'("01111010"); --7A
		-- --------------------
		WAIT FOR 10 ns; -- Time=2450 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2460 ns
		data_in <= transport std_logic_vector'("01111011"); --7B
		-- --------------------
		WAIT FOR 10 ns; -- Time=2470 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2480 ns
		data_in <= transport std_logic_vector'("01111100"); --7C
		-- --------------------
		WAIT FOR 10 ns; -- Time=2490 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2500 ns
		data_in <= transport std_logic_vector'("01111101"); --7D
		-- --------------------
		WAIT FOR 10 ns; -- Time=2510 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2520 ns
		data_in <= transport std_logic_vector'("01111110"); --7E
		-- --------------------
		WAIT FOR 10 ns; -- Time=2530 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2540 ns
		data_in <= transport std_logic_vector'("01111111"); --7F
		-- --------------------
		WAIT FOR 10 ns; -- Time=2550 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2560 ns
		data_in <= transport std_logic_vector'("10000000"); --80
		-- --------------------
		WAIT FOR 10 ns; -- Time=2570 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2580 ns
		data_in <= transport std_logic_vector'("10000001"); --81
		-- --------------------
		WAIT FOR 10 ns; -- Time=2590 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2600 ns
		data_in <= transport std_logic_vector'("10000010"); --82
		-- --------------------
		WAIT FOR 10 ns; -- Time=2610 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2620 ns
		data_in <= transport std_logic_vector'("10000011"); --83
		-- --------------------
		WAIT FOR 10 ns; -- Time=2630 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2640 ns
		data_in <= transport std_logic_vector'("10000100"); --84
		-- --------------------
		WAIT FOR 10 ns; -- Time=2650 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2660 ns
		data_in <= transport std_logic_vector'("10000101"); --85
		-- --------------------
		WAIT FOR 10 ns; -- Time=2670 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2680 ns
		data_in <= transport std_logic_vector'("10000110"); --86
		-- --------------------
		WAIT FOR 10 ns; -- Time=2690 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2700 ns
		data_in <= transport std_logic_vector'("10000111"); --87
		-- --------------------
		WAIT FOR 10 ns; -- Time=2710 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2720 ns
		data_in <= transport std_logic_vector'("10001000"); --88
		-- --------------------
		WAIT FOR 10 ns; -- Time=2730 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2740 ns
		data_in <= transport std_logic_vector'("10001001"); --89
		-- --------------------
		WAIT FOR 10 ns; -- Time=2750 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2760 ns
		data_in <= transport std_logic_vector'("10001010"); --8A
		-- --------------------
		WAIT FOR 10 ns; -- Time=2770 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2780 ns
		data_in <= transport std_logic_vector'("10001011"); --8B
		-- --------------------
		WAIT FOR 10 ns; -- Time=2790 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2800 ns
		data_in <= transport std_logic_vector'("10001100"); --8C
		-- --------------------
		WAIT FOR 10 ns; -- Time=2810 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2820 ns
		data_in <= transport std_logic_vector'("10001101"); --8D
		-- --------------------
		WAIT FOR 10 ns; -- Time=2830 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2840 ns
		data_in <= transport std_logic_vector'("10001110"); --8E
		-- --------------------
		WAIT FOR 10 ns; -- Time=2850 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2860 ns
		data_in <= transport std_logic_vector'("10001111"); --8F
		-- --------------------
		WAIT FOR 10 ns; -- Time=2870 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2880 ns
		data_in <= transport std_logic_vector'("10010000"); --90
		-- --------------------
		WAIT FOR 10 ns; -- Time=2890 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2900 ns
		data_in <= transport std_logic_vector'("10010001"); --91
		-- --------------------
		WAIT FOR 10 ns; -- Time=2910 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2920 ns
		data_in <= transport std_logic_vector'("10010010"); --92
		-- --------------------
		WAIT FOR 10 ns; -- Time=2930 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2940 ns
		data_in <= transport std_logic_vector'("10010011"); --93
		-- --------------------
		WAIT FOR 10 ns; -- Time=2950 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2960 ns
		data_in <= transport std_logic_vector'("10010100"); --94
		-- --------------------
		WAIT FOR 10 ns; -- Time=2970 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2980 ns
		data_in <= transport std_logic_vector'("10010101"); --95
		-- --------------------
		WAIT FOR 10 ns; -- Time=2990 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3000 ns
		data_in <= transport std_logic_vector'("10010110"); --96
		-- --------------------
		WAIT FOR 10 ns; -- Time=3010 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3020 ns
		data_in <= transport std_logic_vector'("10010111"); --97
		-- --------------------
		WAIT FOR 10 ns; -- Time=3030 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3040 ns
		data_in <= transport std_logic_vector'("10011000"); --98
		-- --------------------
		WAIT FOR 10 ns; -- Time=3050 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3060 ns
		data_in <= transport std_logic_vector'("10011001"); --99
		-- --------------------
		WAIT FOR 10 ns; -- Time=3070 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3080 ns
		data_in <= transport std_logic_vector'("10011010"); --9A
		-- --------------------
		WAIT FOR 10 ns; -- Time=3090 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3100 ns
		data_in <= transport std_logic_vector'("10011011"); --9B
		-- --------------------
		WAIT FOR 10 ns; -- Time=3110 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3120 ns
		data_in <= transport std_logic_vector'("10011100"); --9C
		-- --------------------
		WAIT FOR 10 ns; -- Time=3130 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3140 ns
		data_in <= transport std_logic_vector'("10011101"); --9D
		-- --------------------
		WAIT FOR 10 ns; -- Time=3150 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3160 ns
		data_in <= transport std_logic_vector'("10011110"); --9E
		-- --------------------
		WAIT FOR 10 ns; -- Time=3170 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3180 ns
		data_in <= transport std_logic_vector'("10011111"); --9F
		-- --------------------
		WAIT FOR 10 ns; -- Time=3190 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3200 ns
		data_in <= transport std_logic_vector'("10100000"); --A0
		-- --------------------
		WAIT FOR 10 ns; -- Time=3210 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3220 ns
		data_in <= transport std_logic_vector'("10100001"); --A1
		-- --------------------
		WAIT FOR 10 ns; -- Time=3230 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3240 ns
		data_in <= transport std_logic_vector'("10100010"); --A2
		-- --------------------
		WAIT FOR 10 ns; -- Time=3250 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3260 ns
		data_in <= transport std_logic_vector'("10100011"); --A3
		-- --------------------
		WAIT FOR 10 ns; -- Time=3270 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3280 ns
		data_in <= transport std_logic_vector'("10100100"); --A4
		-- --------------------
		WAIT FOR 10 ns; -- Time=3290 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3300 ns
		data_in <= transport std_logic_vector'("10100101"); --A5
		-- --------------------
		WAIT FOR 10 ns; -- Time=3310 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3320 ns
		data_in <= transport std_logic_vector'("10100110"); --A6
		-- --------------------
		WAIT FOR 10 ns; -- Time=3330 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3340 ns
		data_in <= transport std_logic_vector'("10100111"); --A7
		-- --------------------
		WAIT FOR 10 ns; -- Time=3350 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3360 ns
		data_in <= transport std_logic_vector'("10101000"); --A8
		-- --------------------
		WAIT FOR 10 ns; -- Time=3370 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3380 ns
		data_in <= transport std_logic_vector'("10101001"); --A9
		-- --------------------
		WAIT FOR 10 ns; -- Time=3390 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3400 ns
		data_in <= transport std_logic_vector'("10101010"); --AA
		-- --------------------
		WAIT FOR 10 ns; -- Time=3410 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3420 ns
		data_in <= transport std_logic_vector'("10101011"); --AB
		-- --------------------
		WAIT FOR 10 ns; -- Time=3430 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3440 ns
		data_in <= transport std_logic_vector'("10101100"); --AC
		-- --------------------
		WAIT FOR 10 ns; -- Time=3450 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3460 ns
		data_in <= transport std_logic_vector'("10101101"); --AD
		-- --------------------
		WAIT FOR 10 ns; -- Time=3470 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3480 ns
		data_in <= transport std_logic_vector'("10101110"); --AE
		-- --------------------
		WAIT FOR 10 ns; -- Time=3490 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3500 ns
		data_in <= transport std_logic_vector'("10101111"); --AF
		-- --------------------
		WAIT FOR 10 ns; -- Time=3510 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3520 ns
		data_in <= transport std_logic_vector'("10110000"); --B0
		-- --------------------
		WAIT FOR 10 ns; -- Time=3530 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3540 ns
		data_in <= transport std_logic_vector'("10110001"); --B1
		-- --------------------
		WAIT FOR 10 ns; -- Time=3550 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3560 ns
		data_in <= transport std_logic_vector'("10110010"); --B2
		-- --------------------
		WAIT FOR 10 ns; -- Time=3570 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3580 ns
		data_in <= transport std_logic_vector'("10110011"); --B3
		-- --------------------
		WAIT FOR 10 ns; -- Time=3590 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3600 ns
		data_in <= transport std_logic_vector'("10110100"); --B4
		-- --------------------
		WAIT FOR 10 ns; -- Time=3610 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3620 ns
		data_in <= transport std_logic_vector'("10110101"); --B5
		-- --------------------
		WAIT FOR 10 ns; -- Time=3630 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3640 ns
		data_in <= transport std_logic_vector'("10110110"); --B6
		-- --------------------
		WAIT FOR 10 ns; -- Time=3650 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3660 ns
		data_in <= transport std_logic_vector'("10110111"); --B7
		-- --------------------
		WAIT FOR 10 ns; -- Time=3670 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3680 ns
		data_in <= transport std_logic_vector'("10111000"); --B8
		-- --------------------
		WAIT FOR 10 ns; -- Time=3690 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3700 ns
		data_in <= transport std_logic_vector'("10111001"); --B9
		-- --------------------
		WAIT FOR 10 ns; -- Time=3710 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3720 ns
		data_in <= transport std_logic_vector'("10111010"); --BA
		-- --------------------
		WAIT FOR 10 ns; -- Time=3730 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3740 ns
		data_in <= transport std_logic_vector'("10111011"); --BB
		-- --------------------
		WAIT FOR 10 ns; -- Time=3750 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3760 ns
		data_in <= transport std_logic_vector'("10111100"); --BC
		-- --------------------
		WAIT FOR 10 ns; -- Time=3770 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3780 ns
		data_in <= transport std_logic_vector'("10111101"); --BD
		-- --------------------
		WAIT FOR 10 ns; -- Time=3790 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3800 ns
		data_in <= transport std_logic_vector'("10111110"); --BE
		-- --------------------
		WAIT FOR 10 ns; -- Time=3810 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3820 ns
		data_in <= transport std_logic_vector'("10111111"); --BF
		-- --------------------
		WAIT FOR 10 ns; -- Time=3830 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3840 ns
		data_in <= transport std_logic_vector'("11000000"); --C0
		-- --------------------
		WAIT FOR 10 ns; -- Time=3850 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3860 ns
		data_in <= transport std_logic_vector'("11000001"); --C1
		-- --------------------
		WAIT FOR 10 ns; -- Time=3870 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3880 ns
		data_in <= transport std_logic_vector'("11000010"); --C2
		-- --------------------
		WAIT FOR 10 ns; -- Time=3890 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3900 ns
		data_in <= transport std_logic_vector'("11000011"); --C3
		-- --------------------
		WAIT FOR 10 ns; -- Time=3910 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3920 ns
		data_in <= transport std_logic_vector'("11000100"); --C4
		-- --------------------
		WAIT FOR 10 ns; -- Time=3930 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3940 ns
		data_in <= transport std_logic_vector'("11000101"); --C5
		-- --------------------
		WAIT FOR 10 ns; -- Time=3950 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3960 ns
		data_in <= transport std_logic_vector'("11000110"); --C6
		-- --------------------
		WAIT FOR 10 ns; -- Time=3970 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3980 ns
		data_in <= transport std_logic_vector'("11000111"); --C7
		-- --------------------
		WAIT FOR 10 ns; -- Time=3990 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4000 ns
		data_in <= transport std_logic_vector'("11001000"); --C8
		-- --------------------
		WAIT FOR 10 ns; -- Time=4010 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4020 ns
		data_in <= transport std_logic_vector'("11001001"); --C9
		-- --------------------
		WAIT FOR 10 ns; -- Time=4030 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4040 ns
		data_in <= transport std_logic_vector'("11001010"); --CA
		-- --------------------
		WAIT FOR 10 ns; -- Time=4050 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4060 ns
		data_in <= transport std_logic_vector'("11001011"); --CB
		-- --------------------
		WAIT FOR 10 ns; -- Time=4070 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4080 ns
		data_in <= transport std_logic_vector'("11001100"); --CC
		-- --------------------
		WAIT FOR 10 ns; -- Time=4090 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4100 ns
		data_in <= transport std_logic_vector'("11001101"); --CD
		-- --------------------
		WAIT FOR 10 ns; -- Time=4110 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4120 ns
		data_in <= transport std_logic_vector'("11001110"); --CE
		-- --------------------
		WAIT FOR 10 ns; -- Time=4130 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4140 ns
		data_in <= transport std_logic_vector'("11001111"); --CF
		-- --------------------
		WAIT FOR 10 ns; -- Time=4150 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4160 ns
		data_in <= transport std_logic_vector'("11010000"); --D0
		-- --------------------
		WAIT FOR 10 ns; -- Time=4170 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4180 ns
		data_in <= transport std_logic_vector'("11010001"); --D1
		-- --------------------
		WAIT FOR 10 ns; -- Time=4190 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4200 ns
		data_in <= transport std_logic_vector'("11010010"); --D2
		-- --------------------
		WAIT FOR 10 ns; -- Time=4210 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4220 ns
		data_in <= transport std_logic_vector'("11010011"); --D3
		-- --------------------
		WAIT FOR 10 ns; -- Time=4230 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4240 ns
		data_in <= transport std_logic_vector'("11010100"); --D4
		-- --------------------
		WAIT FOR 10 ns; -- Time=4250 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4260 ns
		data_in <= transport std_logic_vector'("11010101"); --D5
		-- --------------------
		WAIT FOR 10 ns; -- Time=4270 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4280 ns
		data_in <= transport std_logic_vector'("11010110"); --D6
		-- --------------------
		WAIT FOR 10 ns; -- Time=4290 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4300 ns
		data_in <= transport std_logic_vector'("11010111"); --D7
		-- --------------------
		WAIT FOR 10 ns; -- Time=4310 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4320 ns
		data_in <= transport std_logic_vector'("11011000"); --D8
		-- --------------------
		WAIT FOR 10 ns; -- Time=4330 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4340 ns
		data_in <= transport std_logic_vector'("11011001"); --D9
		-- --------------------
		WAIT FOR 10 ns; -- Time=4350 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4360 ns
		data_in <= transport std_logic_vector'("11011010"); --DA
		-- --------------------
		WAIT FOR 10 ns; -- Time=4370 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4380 ns
		data_in <= transport std_logic_vector'("11011011"); --DB
		-- --------------------
		WAIT FOR 10 ns; -- Time=4390 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4400 ns
		data_in <= transport std_logic_vector'("11011100"); --DC
		-- --------------------
		WAIT FOR 10 ns; -- Time=4410 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4420 ns
		data_in <= transport std_logic_vector'("11011101"); --DD
		-- --------------------
		WAIT FOR 10 ns; -- Time=4430 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4440 ns
		data_in <= transport std_logic_vector'("11011110"); --DE
		-- --------------------
		WAIT FOR 10 ns; -- Time=4450 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4460 ns
		data_in <= transport std_logic_vector'("11011111"); --DF
		-- --------------------
		WAIT FOR 10 ns; -- Time=4470 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4480 ns
		data_in <= transport std_logic_vector'("11100000"); --E0
		-- --------------------
		WAIT FOR 10 ns; -- Time=4490 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4500 ns
		data_in <= transport std_logic_vector'("11100001"); --E1
		-- --------------------
		WAIT FOR 10 ns; -- Time=4510 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4520 ns
		data_in <= transport std_logic_vector'("11100010"); --E2
		-- --------------------
		WAIT FOR 10 ns; -- Time=4530 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4540 ns
		data_in <= transport std_logic_vector'("11100011"); --E3
		-- --------------------
		WAIT FOR 10 ns; -- Time=4550 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4560 ns
		data_in <= transport std_logic_vector'("11100100"); --E4
		-- --------------------
		WAIT FOR 10 ns; -- Time=4570 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4580 ns
		data_in <= transport std_logic_vector'("11100101"); --E5
		-- --------------------
		WAIT FOR 10 ns; -- Time=4590 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4600 ns
		data_in <= transport std_logic_vector'("11100110"); --E6
		-- --------------------
		WAIT FOR 10 ns; -- Time=4610 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4620 ns
		data_in <= transport std_logic_vector'("11100111"); --E7
		-- --------------------
		WAIT FOR 10 ns; -- Time=4630 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4640 ns
		data_in <= transport std_logic_vector'("11101000"); --E8
		-- --------------------
		WAIT FOR 10 ns; -- Time=4650 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4660 ns
		data_in <= transport std_logic_vector'("11101001"); --E9
		-- --------------------
		WAIT FOR 10 ns; -- Time=4670 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4680 ns
		data_in <= transport std_logic_vector'("11101010"); --EA
		-- --------------------
		WAIT FOR 10 ns; -- Time=4690 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4700 ns
		data_in <= transport std_logic_vector'("11101011"); --EB
		-- --------------------
		WAIT FOR 10 ns; -- Time=4710 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4720 ns
		data_in <= transport std_logic_vector'("11101100"); --EC
		-- --------------------
		WAIT FOR 10 ns; -- Time=4730 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4740 ns
		data_in <= transport std_logic_vector'("11101101"); --ED
		-- --------------------
		WAIT FOR 10 ns; -- Time=4750 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4760 ns
		data_in <= transport std_logic_vector'("11101110"); --EE
		-- --------------------
		WAIT FOR 10 ns; -- Time=4770 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4780 ns
		data_in <= transport std_logic_vector'("11101111"); --EF
		-- --------------------
		WAIT FOR 10 ns; -- Time=4790 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4800 ns
		data_in <= transport std_logic_vector'("11110000"); --F0
		-- --------------------
		WAIT FOR 10 ns; -- Time=4810 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4820 ns
		data_in <= transport std_logic_vector'("11110001"); --F1
		-- --------------------
		WAIT FOR 10 ns; -- Time=4830 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4840 ns
		data_in <= transport std_logic_vector'("11110010"); --F2
		-- --------------------
		WAIT FOR 10 ns; -- Time=4850 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4860 ns
		data_in <= transport std_logic_vector'("11110011"); --F3
		-- --------------------
		WAIT FOR 10 ns; -- Time=4870 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4880 ns
		data_in <= transport std_logic_vector'("11110100"); --F4
		-- --------------------
		WAIT FOR 10 ns; -- Time=4890 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4900 ns
		data_in <= transport std_logic_vector'("11110101"); --F5
		-- --------------------
		WAIT FOR 10 ns; -- Time=4910 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4920 ns
		data_in <= transport std_logic_vector'("11110110"); --F6
		-- --------------------
		WAIT FOR 10 ns; -- Time=4930 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4940 ns
		data_in <= transport std_logic_vector'("11110111"); --F7
		-- --------------------
		WAIT FOR 10 ns; -- Time=4950 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4960 ns
		data_in <= transport std_logic_vector'("11111000"); --F8
		-- --------------------
		WAIT FOR 10 ns; -- Time=4970 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4980 ns
		data_in <= transport std_logic_vector'("11111001"); --F9
		-- --------------------
		WAIT FOR 10 ns; -- Time=4990 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=5000 ns
		data_in <= transport std_logic_vector'("11111010"); --FA
		-- --------------------
		WAIT FOR 10 ns; -- Time=5010 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=5020 ns
		data_in <= transport std_logic_vector'("11111011"); --FB
		-- --------------------
		WAIT FOR 10 ns; -- Time=5030 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=5040 ns
		data_in <= transport std_logic_vector'("11111100"); --FC
		-- --------------------
		WAIT FOR 10 ns; -- Time=5050 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=5060 ns
		data_in <= transport std_logic_vector'("11111101"); --FD
		-- --------------------
		WAIT FOR 10 ns; -- Time=5070 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=5080 ns
		data_in <= transport std_logic_vector'("11111110"); --FE
		-- --------------------
		WAIT FOR 10 ns; -- Time=5090 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=5100 ns
		data_in <= transport std_logic_vector'("11111111"); --FF
		-- --------------------
		WAIT FOR 10 ns; -- Time=5110 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=5120 ns
		data_in <= transport std_logic_vector'("00000000"); --0
		-- --------------------
		WAIT FOR 10 ns; -- Time=5130 ns
		-- --------------------

		IF (TX_ERROR = 0) THEN 
			write(TX_OUT,string'("No errors or warnings"));
			writeline(results, TX_OUT);
			ASSERT (FALSE) REPORT
				"Simulation successful (not a failure).  No problems detected. "
				SEVERITY FAILURE;
		ELSE
			write(TX_OUT, TX_ERROR);
			write(TX_OUT, string'(
				" errors found in simulation"));
			writeline(results, TX_OUT);
			ASSERT (FALSE) REPORT
				"Errors found during simulation"
				SEVERITY FAILURE;
		END IF;
	END PROCESS;
END testbench_arch;

CONFIGURATION test_coder_cfg OF testbench IS
	FOR testbench_arch
	END FOR;
END test_coder_cfg;
