library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity test_coder is
    Port ( 
           data_in : in std_logic_vector(7 downto 0);
           data_out : out std_logic_vector(7 downto 0));
end test_coder;

architecture behavioral of test_coder is
component coder is
    port (
				data_in : in std_logic_vector(7 downto 0);
				data_out : out std_logic_vector(7 downto 0);
				bitwidth : out std_logic_vector(2 downto 0)
			);
end component;

component decoder is
    port (
				data_in : in std_logic_vector(7 downto 0);
				bitwidth : in std_logic_vector(2 downto 0);
				data_out : out std_logic_vector(7 downto 0)
			);
end component;

signal data : std_logic_vector(7 downto 0);
signal bitwidth : std_logic_vector(2 downto 0);



begin

code: coder port map
     (
				data_in 		=> data_in,
				data_out 	=> data,
				bitwidth 	=> bitwidth
		);
decode: decoder port map
     (
				data_in 		=> data,
				bitwidth 	=> bitwidth,
				data_out 	=> data_out
		);


end behavioral;
